package com.qmth.themis.business.bean.admin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("开放接口-待评卷考试记录答案")
public class OpenRecordAnswerBean {

    @ApiModelProperty("大题号")
    private Integer mainNumber;

    @ApiModelProperty("小题号")
    private Integer subNumber;

    @ApiModelProperty("套题子题序号")
    private Integer subIndex;

    @ApiModelProperty("作答")
    private List<OpenRecordAnswerStructBean> answer;

    public OpenRecordAnswerBean() {

    }

    public OpenRecordAnswerBean(Integer mainNumber, Integer subNumber) {
        this.mainNumber = mainNumber;
        this.subNumber = subNumber;
    }

    public OpenRecordAnswerBean(Integer mainNumber, Integer subNumber, Integer subIndex) {
        this.mainNumber = mainNumber;
        this.subNumber = subNumber;
        this.subIndex = subIndex;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public Integer getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(Integer subNumber) {
        this.subNumber = subNumber;
    }

    public Integer getSubIndex() {
        return subIndex;
    }

    public void setSubIndex(Integer subIndex) {
        this.subIndex = subIndex;
    }

    public List<OpenRecordAnswerStructBean> getAnswer() {
        return answer;
    }

    public void setAnswer(List<OpenRecordAnswerStructBean> answer) {
        this.answer = answer;
    }
}
